<?php
   if(!defined('ANTIBUG')) exit;
   
   include_once(PLOUF_PATH.'Generator.php');
   
   class BrowserRiderUrl
   {
      static private $instance=null;
      
      private $framework_url;
      private $script_name;
      private $parameters=array();
      
      private function __construct()
      {
         $this->framework_url=BASE_URL;
         $this->script_name=strrand(5, 7, S_ALPHANUMERIC);
         
         $this->parameters=array_merge($this->parameters, $_GET);
      }
      
      static public function getInstance()
      {
         if(self::$instance==null)
            self::$instance=new BrowserRiderUrl();       
         
         return self::$instance;
      }
      
      /*
       * add a parameter to url
       */
      public function addParameter($key, $value)
      {
         if(!isset($this->parameters[$key])) {
            $this->parameters=array_merge($this->parameters, array($key=>$value));
            return true;
         }
         else
            return false;
      }
      
      /*
       * remove a parameter to the url
       */
      public function removeParameters($name)
      {
         if(isset($this->parameters[$name])) {
            unset($this->parameters[$name]);
            return true;
         }
         else
            return false;
      }
      
      /*
       * generates and return the framework url
       */
      public function getUrl()
      {
         $url = $this->framework_url.$this->script_name.'.js?';
         $i=0;
         foreach(array_keys($this->parameters) as $key)
         {
            if($i!=0)
               $url .= '&';
            else
               $i++;
                  
            $url .= $key.'='.$this->parameters[$key];
         }
         
         return $url;
      }
   }
?>
